@use '../core/placeholders/escape_container';

._hero {
  padding: var(--spacer-large) var(--spacer-large);
  margin-bottom: var(--spacer-large);
  background-color: var(--component-content-background);
  font-weight: var(--font-weight-light);
  text-align: center;

  &__header,
  h1,
  h2 {
    margin-bottom: var(--spacer-large);
    font-size: var(--font-size-xxlarge);
    font-weight: var(--font-weight-h1);
  }

  ._container > & {
    @extend %escape_container;
  }

  &--transparent { background-color: transparent; }
}
